install script: use variable for ~/src v_0
authorFrantišek Kučera <franta-hg@frantovo.cz>
Fri, 21 Dec 2018 12:18:06 +0100
branchv_0
changeset 221 fb8956bb44ec
parent 220 590c037b29c9
child 222 a02847f786d9
install script: use variable for ~/src
relpipe-data/examples/release-v0.8.sh
--- a/relpipe-data/examples/release-v0.8.sh	Thu Dec 20 01:45:30 2018 +0100
+++ b/relpipe-data/examples/release-v0.8.sh	Fri Dec 21 12:18:06 2018 +0100
@@ -13,7 +13,7 @@
 
 # Helper functions:
 relpipe_download() { for m in "$@"; do cd "$RELPIPE_SRC" && hg clone -u "$RELPIPE_VERSION" https://hg.globalcode.info/relpipe/relpipe-$m.cpp || break; done; }
-relpipe_install()  { for m in "$@"; do cd "$RELPIPE_BUILD" && mkdir relpipe-$m.cpp && cd relpipe-$m.cpp && cmake -DCMAKE_INSTALL_PREFIX:PATH="$RELPIPE_INSTALL" ../../src/relpipe-$m.cpp && make && make install || break; done; }
+relpipe_install()  { for m in "$@"; do cd "$RELPIPE_BUILD" && mkdir relpipe-$m.cpp && cd relpipe-$m.cpp && cmake -DCMAKE_INSTALL_PREFIX:PATH="$RELPIPE_INSTALL" "$RELPIPE_SRC/relpipe-$m.cpp" && make && make install || break; done; }
 
 # Download all sources:
 relpipe_download lib-protocol lib-reader lib-writer lib-cli in-cli in-fstab out-gui.qt out-nullbyte out-ods out-tabular out-xml tr-cut tr-grep tr-python tr-sed tr-validator